Request the Cart Link Email Sending

Can be used to send cart link to shopper by email. Usecases:

  1. Shopper has filled checkout form, but have problem with payment confirmation on mobile device. Subscription stays in "waiting_for_payment" state. At this point shopper has confirmed phone number and we can send cart link by email, so that shopper can try to make payment from different device.
  1. In Mexico shoppers will confirm phone number with SMS from multiburo, that's why send cart link by email from the beginning (if for instance user don't receive Optiqa SMS)

Endpoint

POST /api/public/v1/subscriptions/{id}/send_email

Authentication

HTTP Basic Authentication using your API account credentials.

Authorization: Basic <base64(username:password)>

Path Parameters

ParameterTypeRequiredDescription
idstringYesSubscription ID

Request Body

None.

Responses

202 Accepted

Email was sent successfully.

{
  "message": "Cart link email sent successfully"
}

The message is localized based on the merchant's country:

LanguageMessage
EnglishCart link email sent successfully
SpanishCorreo con enlace al carrito enviado exitosamente
PortugueseE-mail com link do carrinho enviado com sucesso
GermanCart-Link-E-Mail erfolgreich gesendet
ItalianE-mail con link al carrello inviata con successo
FrenchE-mail avec lien du panier envoyé avec succès

401 Unauthorized

Missing or invalid authentication credentials.

{
  "errors": [
    {
      "code": "unauthorized",
      "title": "Unauthorized"
    }
  ]
}

422 Unprocessable Entity

Returned when:

  • Subscription is not found
  • Shopper has no email address
  • Subscription is in a state that does not allow cart link email sending
{
  "errors": [
    {
      "code": "invalid",
      "title": "Email not allowed for subscription in current status"
    }
  ]
}

Allowed Subscription States

StateAllowed for
waiting_for_paymentAll merchants
draftMexican merchants only
sentMexican merchants only
in_progressMexican merchants only

Note: For Mexican merchants, sending an email to a subscription in draft state will automatically transition it to sent.